#include<iostream>
using namespace std;

main(){
    int N,karta, s[20000],k;
    cin>>N;
    cin>>karta;
    for (int i = 0; i < N; i++)
    {
        cin>>s[i];
    }
    for (int i =0; i < N; i++){
		if(s[i] == karta ){
			if(i != N-1){
    		k=s[i+1];
			}else{
			k=s[0];
			}
				
		}
	}
	cout<<k;
    return 0;
}